Name:           libwpd
Summary:        A library for importing WordPerfect (tm) documents
Version:        0.10.3
Release:        3
License:        LGPLv2+ or MPLv2.0
URL:            http://libwpd.sf.net/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
patch0:         Fix-compilation-failure-caused-by-gcc12.patch

BuildRequires:  boost-devel doxygen gcc-c++ help2man
BuildRequires:  pkgconfig(librevenge-0.0) pkgconfig(librevenge-generators-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0) pkgconfig(zlib)

Provides:       %{name}-tools = %{version}-%{release}
Obsoletes:      %{name}-tools < %{version}-%{release}

%description
Libwpd is a C++ library designed to help process WordPerfect documents. It is most commonly used to
import WordPerfect documents into other word processors (see below), but may be useful in other
cases as well.

Libwpd exposes a simple callback-based API (similar to SAX), allowing it to be easily plugged into
any C or C++ application.

%package        devel
Requires:       %{name} = %{version}-%{release}
Summary:        Development documents for  libwpd

%description    devel
Headfiles and other development documents for libwpd.

%package        help
Summary:        Help documents for %{name}
BuildArch:      noarch
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}

%description help
Man pages and other help documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static --disable-silent-rules
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
%delete_la

export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}

install -m 0755 -d %{buildroot}/%{_mandir}/man1
for cmd in wpd2html wpd2raw wpd2text
do
    help2man --no-info --source='%{name} %{version}' -o ${cmd}.1 %{buildroot}%{_bindir}/${cmd}
    install -m 0644 ${cmd}.1 %{buildroot}/%{_mandir}/man1
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING.LGPL COPYING.MPL
%{_libdir}/*.so.*
%{_bindir}/*
%exclude %{_docdir}/%{name}

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files help
%doc CREDITS HACKING NEWS README TODO
%doc docs/doxygen/html
%doc docs/%{name}*
%{_mandir}/man1/*

%changelog
* Fri Jul 14 2023 liyanan <thistleslyn@163.com> - 0.10.3-3
- fix build error

* Fri Dec 13 2019 zhouyihang <zhouyihang1@huawei.com> - 0.10.3-2
- Package init
